package com.jwipc.inquiry.convert;

import com.jwipc.inquiry.dto.*;
import com.jwipc.inquiry.entity.Inquiry;
import com.jwipc.inquiry.entity.PriceInfo;
import com.jwipc.inquiry.model.po.*;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * @author shenyang.ou
 * @date 2024/2/4 19:47
 * @desc
 */
@Mapper(componentModel = "spring")
public interface PriceInfoConvert {
    List<PriceInfo> dto2EntityList(List<CreatePriceInfoDTO> list);

    List<CreatePriceInfoDTO> po2DtoList(List<CreatePriceInfoPO> createPriceInfoPOS);

    List<PriceInfoDTO> po2DTOList(List<PriceInfoPO> priceInfoPOS);

    PriceInfoDTO entity2DTO(PriceInfo priceInfo);

    HistoryPriceInfoDTO historyPriceInfoPO2DtoList(HistoryPriceInfoPO historyPriceInfoPO);

    PriceInfoDTO po2DTO(PriceInfoPO priceInfo);

    List<PriceInfo> po2EntityList(List<CreatePriceInfoPO> createPriceInfoPOS);

    List<PriceInfo> cachedDTO2EntityList(List<PriceInfoImportDTO> cachedDataList);

    List<PriceInfoDTO> entity2DTOList(List<PriceInfo> priceInfos);
}
